using System;
using GlobalBank.EFT.Interface;
using GlobalBank.EFT.BusinessEntities;

namespace GlobalBank.EFT.Services
{
    public class TransferService : ITransferService
    {
        private static DateTime _lastTransferDate = DateTime.MinValue;

        public Transfer[] ProcessTransfers(Transfer[] transfers)
        {
            foreach (Transfer transfer in transfers)
            {
                transfer.Status = "Completed";
            }
            _lastTransferDate = DateTime.Now;
            return transfers;
        }

        public DateTime GetLastTransferDate()
        {
            return _lastTransferDate;
        }

    }
}
